Summary:        GPSBabel converts GPS data from one format to another
Name:           gpsbabel
Version:        1.7.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Geography
URL:            https://www.gpsbabel.org
Source:         %{name}-%{version}.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch1:         0001-gpsbabel-1.4.2-xmldoc.patch
Patch2:         0002-gpsbabel-1.4.3-use-system-shapelib.patch
Patch3:         0003-gpsbabel-1.4.3-gmapbase.patch
Patch4:         0004-gpsbabel-1.4.3-nosolicitation.patch
Patch5:         0005-Use-system-zlib.patch
Patch6:         0006-Fix-Wformat-overflow.patch
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(shapelib)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  qttools5

%description
GPSBabel converts waypoints, tracks, and routes from one format to another,
whether that format is a common mapping format like Delorme, Streets and
Trips, or even a serial upload or download to a GPS unit such as those from
Garmin and Magellan. By flatting the Tower of Babel that the authors of
various programs for manipulating GPS data have imposed upon us, it returns
to us the ability to freely move our own waypoint data between the programs
and hardware we choose to use.

%package gui
Summary:        Qt GUI interface for GPSBabel
Group:          Geography
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description gui
Qt GUI interface for GPSBabel.

%prep
%setup -q
%patch1 -p1
%patch2 -p1 -b .SHAPE
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .ZL

# Use system shapelib instead of bundled partial shapelib
rm -rf shapelib

# Get rid of bundled zlib
# configure --with-zlib=system is not enough,
rm -rf zlib

# Avoid calling autoconf from Makefile
touch -r configure.ac configure Makefile.in

%build
%configure2_5x --with-zlib=system
# fix linking:
perl -pi -e 's! -lm ! -lm -lshp !' Makefile
%make_build
pushd gui
%qmake_qt5
%{_qt5_bindir}/lrelease *.ts
%make_build
popd

%install
rm -rf %buildroot
%make_install

%make_install -C gui
install -m 0755 -d                            %{buildroot}%{_bindir}/
install -m 0755 -p gui/objects/gpsbabelfe     %{buildroot}%{_bindir}/
install -m 0755 -d                            %{buildroot}%{_qt5_translationdir}/
install -m 0644 -p gui/gpsbabel*_*.qm         %{buildroot}%{_qt5_translationdir}/

desktop-file-install \
        --dir %{buildroot}/%{_datadir}/applications \
        %{SOURCE1}

install -m 0755 -d            %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

%find_lang %{name} --all-name

%files
%{_bindir}/%{name}

%files gui -f %{name}.lang
%{_bindir}/gpsbabelfe
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/256x256/apps/*
%{_datadir}/qt5/translations/*


%changelog
* Tue Jul 06 2021 tex - 1.7.0-1pclos2021
- new version
- fix rpm group
- build for Qt5
